Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.coaext
Class EPPCoaExtValue

    java.lang.Object
      com.verisign.epp.codec.coaext.EPPCoaExtValue

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPCoaExtValue

extends java.lang.Object
implements EPPCodecComponent

EPPCodecComponent that encodes and decodes a COA Value Tag.

Title: EPP 1.0 Client Object Attribute - Value

Description: The Value tag represents the value of a Client Object Attribute. It contains simply the Client Object Attribute value as text, and is only used in the company of a Key tag which identifies it.

Copyright: Copyright (c) 2011

Company: VeriSign

Version:
  1.0
Author:
  jfaust
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_NAME` Constant for the COA value tag

Constructor Summary
`EPPCoaExtValue()` Create an EPPCoaExtValue instance
`EPPCoaExtValue(java.lang.String aValue)` Create a EPPCoaExtValue intance with the given value

Method Summary
`java.lang.Object` | `clone()` Clone `EPPCoaExtValue`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the EPPCoaExtValue component
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Sets all this instance's data in the given XML document
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPCoaExtValue` compare.
`java.lang.String` | `getValue()` Returns the value to a key/value pair.
`void` | `setValue(java.lang.String aValue)` Sets the Value

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Constant for the COA value tag

  See Also:
    Constant Field Values

Constructor Detail

### EPPCoaExtValue

    public EPPCoaExtValue()

  Create an EPPCoaExtValue instance

### EPPCoaExtValue

    public EPPCoaExtValue(java.lang.String aValue)

  Create a EPPCoaExtValue intance with the given value

  Parameters:
    `aValue` - the value

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPCoaExtValue`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPCoaExtValue`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Sets all this instance's data in the given XML document

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - a DOM Document to attach data to.
  Returns:
    The root element of this component.
  Throws:
    `EPPEncodeException` - Thrown if any errors prevent encoding.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the EPPCoaExtValue component

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` -
  Throws:
    `EPPDecodeException`

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPCoaExtValue` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPCoaExtValue` instance to compare with
  Returns:
    true if equal false otherwise

### getValue

    public java.lang.String getValue()

  Returns the value to a key/value pair.

  Returns:
    the value

### setValue

    public void setValue(java.lang.String aValue)

  Sets the Value

  Parameters:
    `aValue` - - The value to a key/value pair

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.